Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rf.ats.services.integration.webserv
Class CandidateBean

    java.lang.Object
      com.rf.ats.services.integration.webserv.EntityBean
          com.rf.ats.services.integration.webserv.CandidateBean

All Implemented Interfaces:
  java.io.Serializable

public class CandidateBean
extends EntityBean
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`CandidateBean()`
`CandidateBean(java.util.Calendar creationDate, FlexFieldBean[] flexValues, long id, java.util.Calendar lastUpdated, java.lang.String status, java.lang.String address, java.lang.String cellPhone, java.lang.String city, java.lang.String country, java.lang.String email, java.lang.String firstName, java.lang.String gender, java.util.Calendar hiredDate, java.lang.String lastName, java.lang.String legalStatus, java.lang.String middleInitial, java.lang.String password, java.lang.String phone, java.lang.String race, int rank, java.lang.String reasonRejected, java.lang.String referredBy, java.lang.String resumeFileName, java.lang.String source, java.util.Calendar startDate, java.lang.String state, java.lang.String submittedBy, java.lang.String textResume, java.lang.String veteran, java.lang.String zipCode)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getAddress()` Gets the address value for this CandidateBean.
`java.lang.String` | `getCellPhone()` Gets the cellPhone value for this CandidateBean.
`java.lang.String` | `getCity()` Gets the city value for this CandidateBean.
`java.lang.String` | `getCountry()` Gets the country value for this CandidateBean.
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`java.lang.String` | `getEmail()` Gets the email value for this CandidateBean.
`java.lang.String` | `getFirstName()` Gets the firstName value for this CandidateBean.
`java.lang.String` | `getGender()` Gets the gender value for this CandidateBean.
`java.util.Calendar` | `getHiredDate()` Gets the hiredDate value for this CandidateBean.
`java.lang.String` | `getLastName()` Gets the lastName value for this CandidateBean.
`java.lang.String` | `getLegalStatus()` Gets the legalStatus value for this CandidateBean.
`java.lang.String` | `getMiddleInitial()` Gets the middleInitial value for this CandidateBean.
`java.lang.String` | `getPassword()` Gets the password value for this CandidateBean.
`java.lang.String` | `getPhone()` Gets the phone value for this CandidateBean.
`java.lang.String` | `getRace()` Gets the race value for this CandidateBean.
`int` | `getRank()` Gets the rank value for this CandidateBean.
`java.lang.String` | `getReasonRejected()` Gets the reasonRejected value for this CandidateBean.
`java.lang.String` | `getReferredBy()` Gets the referredBy value for this CandidateBean.
`java.lang.String` | `getResumeFileName()` Gets the resumeFileName value for this CandidateBean.
`static org.apache.axis.encoding.Serializer` | `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`java.lang.String` | `getSource()` Gets the source value for this CandidateBean.
`java.util.Calendar` | `getStartDate()` Gets the startDate value for this CandidateBean.
`java.lang.String` | `getState()` Gets the state value for this CandidateBean.
`java.lang.String` | `getSubmittedBy()` Gets the submittedBy value for this CandidateBean.
`java.lang.String` | `getTextResume()` Gets the textResume value for this CandidateBean.
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`java.lang.String` | `getVeteran()` Gets the veteran value for this CandidateBean.
`java.lang.String` | `getZipCode()` Gets the zipCode value for this CandidateBean.
`int` | `hashCode()`
`void` | `setAddress(java.lang.String address)` Sets the address value for this CandidateBean.
`void` | `setCellPhone(java.lang.String cellPhone)` Sets the cellPhone value for this CandidateBean.
`void` | `setCity(java.lang.String city)` Sets the city value for this CandidateBean.
`void` | `setCountry(java.lang.String country)` Sets the country value for this CandidateBean.
`void` | `setEmail(java.lang.String email)` Sets the email value for this CandidateBean.
`void` | `setFirstName(java.lang.String firstName)` Sets the firstName value for this CandidateBean.
`void` | `setGender(java.lang.String gender)` Sets the gender value for this CandidateBean.
`void` | `setHiredDate(java.util.Calendar hiredDate)` Sets the hiredDate value for this CandidateBean.
`void` | `setLastName(java.lang.String lastName)` Sets the lastName value for this CandidateBean.
`void` | `setLegalStatus(java.lang.String legalStatus)` Sets the legalStatus value for this CandidateBean.
`void` | `setMiddleInitial(java.lang.String middleInitial)` Sets the middleInitial value for this CandidateBean.
`void` | `setPassword(java.lang.String password)` Sets the password value for this CandidateBean.
`void` | `setPhone(java.lang.String phone)` Sets the phone value for this CandidateBean.
`void` | `setRace(java.lang.String race)` Sets the race value for this CandidateBean.
`void` | `setRank(int rank)` Sets the rank value for this CandidateBean.
`void` | `setReasonRejected(java.lang.String reasonRejected)` Sets the reasonRejected value for this CandidateBean.
`void` | `setReferredBy(java.lang.String referredBy)` Sets the referredBy value for this CandidateBean.
`void` | `setResumeFileName(java.lang.String resumeFileName)` Sets the resumeFileName value for this CandidateBean.
`void` | `setSource(java.lang.String source)` Sets the source value for this CandidateBean.
`void` | `setStartDate(java.util.Calendar startDate)` Sets the startDate value for this CandidateBean.
`void` | `setState(java.lang.String state)` Sets the state value for this CandidateBean.
`void` | `setSubmittedBy(java.lang.String submittedBy)` Sets the submittedBy value for this CandidateBean.
`void` | `setTextResume(java.lang.String textResume)` Sets the textResume value for this CandidateBean.
`void` | `setVeteran(java.lang.String veteran)` Sets the veteran value for this CandidateBean.
`void` | `setZipCode(java.lang.String zipCode)` Sets the zipCode value for this CandidateBean.

Methods inherited from class com.rf.ats.services.integration.webserv.EntityBean
`getCreationDate, getFlexValues, getId, getLastUpdated, getStatus, setCreationDate, setFlexValues, setId, setLastUpdated, setStatus`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CandidateBean

    public CandidateBean()

### CandidateBean

    public CandidateBean(java.util.Calendar creationDate,
                         FlexFieldBean[] flexValues,
                         long id,
                         java.util.Calendar lastUpdated,
                         java.lang.String status,
                         java.lang.String address,
                         java.lang.String cellPhone,
                         java.lang.String city,
                         java.lang.String country,
                         java.lang.String email,
                         java.lang.String firstName,
                         java.lang.String gender,
                         java.util.Calendar hiredDate,
                         java.lang.String lastName,
                         java.lang.String legalStatus,
                         java.lang.String middleInitial,
                         java.lang.String password,
                         java.lang.String phone,
                         java.lang.String race,
                         int rank,
                         java.lang.String reasonRejected,
                         java.lang.String referredBy,
                         java.lang.String resumeFileName,
                         java.lang.String source,
                         java.util.Calendar startDate,
                         java.lang.String state,
                         java.lang.String submittedBy,
                         java.lang.String textResume,
                         java.lang.String veteran,
                         java.lang.String zipCode)

Method Detail

### getAddress

    public java.lang.String getAddress()

  Gets the address value for this CandidateBean.

  Returns:
    address

### setAddress

    public void setAddress(java.lang.String address)

  Sets the address value for this CandidateBean.

  Parameters:
    `address` -

### getCellPhone

    public java.lang.String getCellPhone()

  Gets the cellPhone value for this CandidateBean.

  Returns:
    cellPhone

### setCellPhone

    public void setCellPhone(java.lang.String cellPhone)

  Sets the cellPhone value for this CandidateBean.

  Parameters:
    `cellPhone` -

### getCity

    public java.lang.String getCity()

  Gets the city value for this CandidateBean.

  Returns:
    city

### setCity

    public void setCity(java.lang.String city)

  Sets the city value for this CandidateBean.

  Parameters:
    `city` -

### getCountry

    public java.lang.String getCountry()

  Gets the country value for this CandidateBean.

  Returns:
    country

### setCountry

    public void setCountry(java.lang.String country)

  Sets the country value for this CandidateBean.

  Parameters:
    `country` -

### getEmail

    public java.lang.String getEmail()

  Gets the email value for this CandidateBean.

  Returns:
    email

### setEmail

    public void setEmail(java.lang.String email)

  Sets the email value for this CandidateBean.

  Parameters:
    `email` -

### getFirstName

    public java.lang.String getFirstName()

  Gets the firstName value for this CandidateBean.

  Returns:
    firstName

### setFirstName

    public void setFirstName(java.lang.String firstName)

  Sets the firstName value for this CandidateBean.

  Parameters:
    `firstName` -

### getGender

    public java.lang.String getGender()

  Gets the gender value for this CandidateBean.

  Returns:
    gender

### setGender

    public void setGender(java.lang.String gender)

  Sets the gender value for this CandidateBean.

  Parameters:
    `gender` -

### getHiredDate

    public java.util.Calendar getHiredDate()

  Gets the hiredDate value for this CandidateBean.

  Returns:
    hiredDate

### setHiredDate

    public void setHiredDate(java.util.Calendar hiredDate)

  Sets the hiredDate value for this CandidateBean.

  Parameters:
    `hiredDate` -

### getLastName

    public java.lang.String getLastName()

  Gets the lastName value for this CandidateBean.

  Returns:
    lastName

### setLastName

    public void setLastName(java.lang.String lastName)

  Sets the lastName value for this CandidateBean.

  Parameters:
    `lastName` -

### getLegalStatus

    public java.lang.String getLegalStatus()

  Gets the legalStatus value for this CandidateBean.

  Returns:
    legalStatus

### setLegalStatus

    public void setLegalStatus(java.lang.String legalStatus)

  Sets the legalStatus value for this CandidateBean.

  Parameters:
    `legalStatus` -

### getMiddleInitial

    public java.lang.String getMiddleInitial()

  Gets the middleInitial value for this CandidateBean.

  Returns:
    middleInitial

### setMiddleInitial

    public void setMiddleInitial(java.lang.String middleInitial)

  Sets the middleInitial value for this CandidateBean.

  Parameters:
    `middleInitial` -

### getPassword

    public java.lang.String getPassword()

  Gets the password value for this CandidateBean.

  Returns:
    password

### setPassword

    public void setPassword(java.lang.String password)

  Sets the password value for this CandidateBean.

  Parameters:
    `password` -

### getPhone

    public java.lang.String getPhone()

  Gets the phone value for this CandidateBean.

  Returns:
    phone

### setPhone

    public void setPhone(java.lang.String phone)

  Sets the phone value for this CandidateBean.

  Parameters:
    `phone` -

### getRace

    public java.lang.String getRace()

  Gets the race value for this CandidateBean.

  Returns:
    race

### setRace

    public void setRace(java.lang.String race)

  Sets the race value for this CandidateBean.

  Parameters:
    `race` -

### getRank

    public int getRank()

  Gets the rank value for this CandidateBean.

  Returns:
    rank

### setRank

    public void setRank(int rank)

  Sets the rank value for this CandidateBean.

  Parameters:
    `rank` -

### getReasonRejected

    public java.lang.String getReasonRejected()

  Gets the reasonRejected value for this CandidateBean.

  Returns:
    reasonRejected

### setReasonRejected

    public void setReasonRejected(java.lang.String reasonRejected)

  Sets the reasonRejected value for this CandidateBean.

  Parameters:
    `reasonRejected` -

### getReferredBy

    public java.lang.String getReferredBy()

  Gets the referredBy value for this CandidateBean.

  Returns:
    referredBy

### setReferredBy

    public void setReferredBy(java.lang.String referredBy)

  Sets the referredBy value for this CandidateBean.

  Parameters:
    `referredBy` -

### getResumeFileName

    public java.lang.String getResumeFileName()

  Gets the resumeFileName value for this CandidateBean.

  Returns:
    resumeFileName

### setResumeFileName

    public void setResumeFileName(java.lang.String resumeFileName)

  Sets the resumeFileName value for this CandidateBean.

  Parameters:
    `resumeFileName` -

### getSource

    public java.lang.String getSource()

  Gets the source value for this CandidateBean.

  Returns:
    source

### setSource

    public void setSource(java.lang.String source)

  Sets the source value for this CandidateBean.

  Parameters:
    `source` -

### getStartDate

    public java.util.Calendar getStartDate()

  Gets the startDate value for this CandidateBean.

  Returns:
    startDate

### setStartDate

    public void setStartDate(java.util.Calendar startDate)

  Sets the startDate value for this CandidateBean.

  Parameters:
    `startDate` -

### getState

    public java.lang.String getState()

  Gets the state value for this CandidateBean.

  Returns:
    state

### setState

    public void setState(java.lang.String state)

  Sets the state value for this CandidateBean.

  Parameters:
    `state` -

### getSubmittedBy

    public java.lang.String getSubmittedBy()

  Gets the submittedBy value for this CandidateBean.

  Returns:
    submittedBy

### setSubmittedBy

    public void setSubmittedBy(java.lang.String submittedBy)

  Sets the submittedBy value for this CandidateBean.

  Parameters:
    `submittedBy` -

### getTextResume

    public java.lang.String getTextResume()

  Gets the textResume value for this CandidateBean.

  Returns:
    textResume

### setTextResume

    public void setTextResume(java.lang.String textResume)

  Sets the textResume value for this CandidateBean.

  Parameters:
    `textResume` -

### getVeteran

    public java.lang.String getVeteran()

  Gets the veteran value for this CandidateBean.

  Returns:
    veteran

### setVeteran

    public void setVeteran(java.lang.String veteran)

  Sets the veteran value for this CandidateBean.

  Parameters:
    `veteran` -

### getZipCode

    public java.lang.String getZipCode()

  Gets the zipCode value for this CandidateBean.

  Returns:
    zipCode

### setZipCode

    public void setZipCode(java.lang.String zipCode)

  Sets the zipCode value for this CandidateBean.

  Parameters:
    `zipCode` -

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `EntityBean`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `EntityBean`

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD